Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.expression
Interface TypeConverter

All Known Implementing Classes:
  StandardTypeConverter

    public interface TypeConverter

A type converter can convert values between different types encountered during expression evaluation. This is an SPI for the expression parser; see `ConversionService` for the primary user API to Spring's conversion facilities.

Since:
  3.0
Author:
  Andy Clement, Juergen Hoeller

Method Summary
`boolean` | `canConvert(TypeDescriptor sourceType, TypeDescriptor targetType)` Return true if the type converter can convert the specified type to the desired target type.
`java.lang.Object` | `convertValue(java.lang.Object value, TypeDescriptor sourceType, TypeDescriptor targetType)` Convert (may coerce) a value from one type to another, for example from a boolean to a string.

Method Detail

### canConvert

    boolean canConvert(TypeDescriptor sourceType,
                       TypeDescriptor targetType)

  Return true if the type converter can convert the specified type to the desired target type.

  Parameters:
    `sourceType` - a type descriptor that describes the source type
    `targetType` - a type descriptor that describes the requested result type
  Returns:
    true if that conversion can be performed

### convertValue

    java.lang.Object convertValue(java.lang.Object value,
                                  TypeDescriptor sourceType,
                                  TypeDescriptor targetType)

  Convert (may coerce) a value from one type to another, for example from a boolean to a string. The typeDescriptor parameter enables support for typed collections - if the caller really wishes they can have a List<Integer> for example, rather than simply a List.

  Parameters:
    `value` - the value to be converted
    `sourceType` - a type descriptor that supplies extra information about the source object
    `targetType` - a type descriptor that supplies extra information about the requested result type
  Returns:
    the converted value
  Throws:
    `EvaluationException` - if conversion is not possible

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD